<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bonus.canteen.core.account.v4.app.mapper.PaymentStageMapper">


    <update id="updateByCustIdAndType">
        update acc_wallet_info set wallet_bal = #{walletBal}
        where cust_id = #{custId} and wallet_id = #{walletId}
    </update>
    <update id="refundByCustIdAndType">
        update acc_wallet_info
           set wallet_bal = wallet_bal + #{walletBalDecimal}
         where cust_id = #{custId}
           and wallet_id = #{walletId}
    </update>
</mapper>
